## lv 4.51

=== debian/changelog ===
lv (4.51-4) unstable; urgency=medium

  * fix FTCBFS: configures for the build architecture (Closes: #866717)
    thanks to Helmut Grohne <helmut@subdivi.de>.
    - debian/rules: Let dh_auto_configure pass --host to ./configure
    - For that to work, use a different builddirectory than .
  * bump up Standards-Version 4.0.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 07 Jul 2017 23:13:08 +0900

lv (4.51-3) unstable; urgency=medium

  * New maintainer (Closes: #839674)
    thanks to GOTO Masanori <gotom@debian.org> for previous works.
  * debian/rules: enable hardening all
  * debian/control: eliminate lintian warning: vcs-field-uses-insecure-uri
  * debian/copyright: eliminate lintian warning:
    dep5-copyright-license-name-not-unique
  * disable Homepage and d/watch caused by web service termination
    - debian/control
    - debian/watch
  * debian/postinst: adjust priority lower than less to not break systemctl
    behavior, suggested by Hideki Yamane <henrich@debian.org> and
    Osamu Aoki <osamu@debian.org>. see: #837218
  * debian/README.Debian: describe "-c" option for allowing ANSI escape
    sequences for text decoration. see: #837218
  * bump up Standards-Version 3.9.8

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 04 Oct 2016 19:55:14 +0900

lv (4.51-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * replace sigvec usage (Closes: #769546).
    - debian/patches/sigvec.patch: new file. thanks to Florian Weimer
      <fweimer@redhat.com>.
    - debian/rules: enable autoreconf add-on.
    - debian/autoreconf: set subdir.
    - debian/control: Depends: dh-autoreconf.
  * bump up Standards-Version 3.9.6

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 27 Apr 2015 21:43:39 +0900

lv (4.51-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules, debian/compat: use dh9.
  * debian/control
    - add Vcs-* tags.
    - add Homepage: tag.
    - add ${misc:Depends} to Depends:.
    - add xz-utils to Recommends:.
  * debian/source/format: set 3.0 (quilt).
  * debian/patches/*: rename from debian/patch* and add DEP-3 headers.
  * debian/copyright: convert to DEP-5.
  * debian/patches/fix-hyphen-used-as-minus-sign.diff: new file.
  * debian/lv.doc-base: new file.
  * bump up Standards-Version 3.9.5

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 15 Mar 2014 03:42:28 +0900

lv (4.51-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add 1 patch:
    - debian/@patch.lv.660358.diff: support automatic xz and lzma
      decompression. thanks to "A. N. Other" <a.n.other.debian@gmail.com>.
      (Closes: #660358)
  * debian/watch: Add. thanks to Bart Martens <bartm@debian.org>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 03 Oct 2013 21:42:15 +0900

lv (4.51-2) unstable; urgency=low

  * Add 3 (+1) patches:
    - debian/@patch.lv.20050502_~+num-pat-option: Add +num and +/pattern
      option.
    - debian/@patch.lv.20050506_%src%file.c_~enable-fastio-use-fread: Improve
      large file processing performance over typically +40% to +300%.
    - debian/patch.lv.misc: Enable above changes.
    - debian/@patch.lv.20051030_%src%_~use_off_t: Update copyright year to
      2005.  Support large file.  (Closes: #173060)
    - debian/rules: Likewise.

 -- GOTO Masanori <gotom@debian.org>  Fri,  6 May 2005 15:05:17 +0900

lv (4.51-1) unstable; urgency=low

  * New upstream release.  (Closes: #291528)
  * Change maintainer address.

 -- GOTO Masanori <gotom@debian.org>  Mon,  2 May 2005 17:43:31 +0900

lv (4.50-1) unstable; urgency=low

  * New upstream release.  (Closes: #220716)
  * Lgrep segv problem is fixed when lgrep greps through many files
    (Closes: #188288)
  * Wrong ISO-2022 final byte is fixed.  (Closes #207718)

 -- GOTO Masanori <gotom@debian.or.jp>  Sun, 16 Nov 2003 01:21:59 +0900

lv (4.49.5-2) unstable; urgency=high

  * rebuild 4.49.5-1 under libc6 2.3.1-17.  4.49.5-1 was built under
    unexisted libc6 version.

 -- GOTO Masanori <gotom@debian.or.jp>  Wed, 14 May 2003 22:15:46 +0900

lv (4.49.5-1) unstable; urgency=high

  * lv has possible local root exploit problem.  lv always reads .lv file
    in the current directory.  So if ill-intentioned user could put an .lv
    with the line '-E/path/to/malicious/program', any user who uses the v
    (edit) command in that directory will unwittingly execute the malicious
    program; this could be exploited to run an arbitrary script with root
    permissions.  This version fixes the problem.  Bug found by 
    Leonard Stiles <ljs@uk2.net>.  (#190941).
  * lv does not check environment variable EDITOR or VISUAL, it does not 
    follow debian policy 12.4.  This version fixes this problem.
    Patched by Michael Weber <michaelw@debian.org>.  (Closes: #181402)
  * Fix 'unaligned access to' message from kernel due to unaligned 
    access on 64 bit architecture machine.

 -- GOTO Masanori <gotom@debian.or.jp>  Mon, 12 May 2003 17:20:38 +0900

lv (4.49.4-8) unstable; urgency=low

  * Fix 'problem when stdin isn't tty and there are file options'.
    Patched by Fumitoshi UKAI <ukai@debian.or.jp>. Closes: #127861

 -- GOTO Masanori <gotom@debian.or.jp>  Mon,  7 Oct 2002 10:40:23 +0900

lv (4.49.4-7) unstable; urgency=low

  * debian/control: fix typo in description field.

 -- GOTO Masanori <gotom@debian.or.jp>  Wed, 21 Nov 2001 09:24:26 +0900

lv (4.49.4-6) unstable; urgency=low

  * lv.1: fix .SH NAME format. when you used apropos and man -k, the
    error was displayed (closes: #119125).

 -- GOTO Masanori <gotom@debian.or.jp>  Mon, 12 Nov 2001 00:55:42 +0900

lv (4.49.4-5) unstable; urgency=low

  * append debian/postinst, debian/prerm script (I forgot!). these scripts 
    register pager alternatives.

 -- GOTO Masanori <gotom@debian.or.jp>  Wed,  7 Nov 2001 16:41:09 +0900

lv (4.49.4-4) unstable; urgency=low

  * debian/control: add build-dependency libncurses5-dev (closes: #118437).

 -- GOTO Masanori <gotom@debian.or.jp>  Tue,  6 Nov 2001 23:23:50 +0900


