=== debian/control ===
Source: lv
Section: text
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Build-Depends: debhelper (>= 9), libncurses5-dev, dh-autoreconf
Standards-Version: 4.0.0
#Homepage: http://www.ff.iij4u.or.jp/~nrt/lv/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lv.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lv.git

Package: lv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bzip2, xz-utils
Description: Powerful Multilingual File Viewer
 lv is a powerful file viewer like less.
 lv can decode and encode multilingual streams through
 many coding systems:
 ISO-8859, ISO-2022, EUC, SJIS, Big5, HZ, Unicode.
 .
 It recognizes multi-bytes patterns as regular
 expressions, lv also provides multilingual grep.
 In addition, lv can recognize ANSI escape sequences
 for text decoration.
