=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@ --with autoreconf --sourcedirectory=src --builddirectory=builddir

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/share --enable-fastio

override_dh_auto_install:
	install -d -m 755 $(CURDIR)/debian/lv/usr/bin \
			  $(CURDIR)/debian/lv/usr/share/lv \
			  $(CURDIR)/debian/lv/usr/share/man/man1 \
			  $(CURDIR)/debian/lv/usr/share/doc
	install -m 755 builddir/lv $(CURDIR)/debian/lv/usr/bin/lv
	install -m 644 lv.hlp $(CURDIR)/debian/lv/usr/share/lv/lv.hlp
	install -m 644 lv.1 $(CURDIR)/debian/lv/usr/share/man/man1
	ln -sf lv debian/lv/usr/bin/lgrep
	ln -sf lv.1 debian/lv/usr/share/man/man1/lgrep.1
